For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all stock locations

How to fetch a collection of stock locations via API

To fetch a collection of stock locations, send a GET request to the /api/stock_locations endpoint.

Request

GET https://yourdomain.commercelayer.io/api/stock_locations

Example

The following request fetches a collection of stock locations:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/stock_locations/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "stock_locations",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN"
      },
      "attributes": {
        "number": 1234,
        "name": "Primary warehouse",
        "code": "europe1",
        "label_format": "PDF",
        "suppress_etd": false,
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "address": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/address",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/address"
          }
        },
        "inventory_stock_locations": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/inventory_stock_locations",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/inventory_stock_locations"
          }
        },
        "inventory_return_locations": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/inventory_return_locations",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/inventory_return_locations"
          }
        },
        "stock_items": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/stock_items",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/stock_items"
          }
        },
        "stock_transfers": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/stock_transfers",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/stock_transfers"
          }
        },
        "stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/stores",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/stores"
          }
        },
        "attachments": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/attachments",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/attachments"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/stock_locations/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 stock_locations (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/stock_locations?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/stock_locations?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/stock_locations?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of stock locations can be sorted by the following fields:

Attributes

  • name

  • code

  • label_format

  • suppress_etd

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • address

Filterable fields

The list of stock locations can be filtered by the following fields:

Attributes

  • name

  • code

  • label_format

  • suppress_etd

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • address

  • inventory_stock_locations

  • inventory_return_locations

  • stock_items

  • stock_transfers

  • stores

  • attachments

Last updated